Bug 1671648 - OAuth proxy uses wrong URL to build user ~ URL
Summary: OAuth proxy uses wrong URL to build user ~ URL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Standa Laznicka
QA Contact: Qiaoling Tang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-01 07:26 UTC by Qiaoling Tang
Modified: 2019-06-04 10:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2019-06-04 10:42:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
500 Internal Error (273.36 KB, image/png)
2019-02-01 07:26 UTC, Qiaoling Tang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:43:52 UTC

Comment 1 Qiaoling Tang 2019-02-01 07:26:54 UTC
Created attachment 1525732 [details]
500 Internal Error

Comment 3 Qiaoling Tang 2019-02-02 06:21:37 UTC
Same phenomenon when using htpasswd IDP.

Comment 5 Standa Laznicka 2019-02-08 09:31:25 UTC
Fixed in https://github.com/openshift/oauth-proxy/pull/100

Comment 6 Chuan Yu 2019-02-13 03:09:21 UTC
The PR was merged, move to ON_QA to verify.

Comment 7 Qiaoling Tang 2019-02-18 05:25:37 UTC
Tested in 4.0.0-0.nightly-2019-02-17-182259 with htpasswd IDP enabled, log into kibana web console successfully.

Comment 8 Qiaoling Tang 2019-02-18 06:21:36 UTC
Log into kibana with Google IDP enabled successfully.

Comment 11 errata-xmlrpc 2019-06-04 10:42:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.